#!/system/bin/sh 
# logcat stuff
# log -t hallo BlaB
LOGCAT_BATTERYTEST_TAG=BatteryLongtermTest
# create node for lcd
DEVICE_NODE_NAME=da9052_cfg
DEV_BAT=/dev/$DEVICE_NODE_NAME
BAT_INIT_FILE=bat_init.txt
USER_BAT_INIT_LOCATION=/vendor/$BAT_INIT_FILE
DFLT_BAT_INIT_LOCATION=/etc/firmware/$BAT_INIT_FILE
BATTERY_WORK_DIR=/data/work_data/battery
BATTERY_WORK_FILE=$BATTERY_WORK_DIR/bat_work.txt
if [ -e $DEV_BAT ] ; then
	rm $DEV_BAT
fi
# create node
busybox mknod $DEV_BAT c 121 0
# load values
if [ -e $BATTERY_WORK_FILE ] ; then
	log -t $LOGCAT_BATTERYTEST_TAG "Load values from $BATTERY_WORK_FILE"
	cat $BATTERY_WORK_FILE > $DEV_BAT
fi
# use user defined script?
if [ -e $USER_BAT_INIT_LOCATION ] ; then
	log -t $LOGCAT_BATTERYTEST_TAG "Load values from $USER_BAT_INIT_LOCATION"
	cat $USER_BAT_INIT_LOCATION > $DEV_BAT
else
	log -t $LOGCAT_BATTERYTEST_TAG "Load values from $DFLT_BAT_INIT_LOCATION"
	cat $DFLT_BAT_INIT_LOCATION > $DEV_BAT
fi
# tracer stuff
BATTERY_TRACE_DIR=/data/battery
RESTART_SCRIPT=$BATTERY_TRACE_DIR/restart_bat.sh
KERNEL_TRACE_STATE=/sys/module/da9052_battery/parameters/en_trace
KERNEL_RESTART_CHG_TIMER=/sys/module/da9052_battery/parameters/en_restart_chg_timer
DBG_ON=$(getprop ro.debuggable)
if [ "$DBG_ON" = "1" ] ; then
	log -t $LOGCAT_BATTERYTEST_TAG "System is debuggable."
	# restart battery charge timer
	log -t $LOGCAT_BATTERYTEST_TAG "Enable restarting of battery charge timer if USB is connected."
	echo 1 > $KERNEL_RESTART_CHG_TIMER
	mkdir -p $BATTERY_TRACE_DIR/
	mkdir -p $BATTERY_TRACE_DIR/Download/
	chown /system system $KERNEL_TRACE_STATE
	chmod 0666 $KERNEL_TRACE_STATE
	if [ -e "$RESTART_SCRIPT" ] ; then
		sh $RESTART_SCRIPT
		log -t $LOGCAT_BATTERYTEST_TAG "Start $RESTART_SCRIPT"
	fi
else
	if [ -e "$RESTART_SCRIPT" ] ; then
		log -t $LOGCAT_BATTERYTEST_TAG "Do not start $RESTART_SCRIPT => not debuggable"
	fi
fi
